PHP7 and Mozilla Firefox Updates for openSUSE
Posted on: 05/11/2018 07:32 AM

The following updates has been released for openSUSE:

openSUSE-SU-2018:1207-1: important: Security update for php7
openSUSE-SU-2018:1212-1: important: Security update for Mozilla Firefox

openSUSE-SU-2018:1207-1: important: Security update for php7
openSUSE Security Update: Security update for php7
______________________________________________________________________________

Announcement ID: openSUSE-SU-2018:1207-1
Rating: important
References: #1091355 #1091362 #1091363 #1091367
Cross-References: CVE-2018-10545 CVE-2018-10546 CVE-2018-10547
CVE-2018-10548
Affected Products:
openSUSE Leap 42.3
______________________________________________________________________________

An update that fixes four vulnerabilities is now available.

Description:

This update for php7 fixes the following issues:

Security issues fixed:

- CVE-2018-10545: Fix access controls in FPM child processes (bsc#1091367).
- CVE-2018-10547: Fix Reflected XSS on the PHAR 403 and 404 error pages
(bsc#1091362).
- CVE-2018-10546: Fix an infinite loop exists in ext/iconv/iconv.c
(bsc#1091363).
- CVE-2018-10548: Fix remote denial of service in ext/ldap/ldap.c
(bsc#1091355).

This update was imported from the SUSE:SLE-12:Update update project.


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 42.3:

zypper in -t patch openSUSE-2018-441=1



Package List:

- openSUSE Leap 42.3 (i586 x86_64):

apache2-mod_php7-7.0.7-37.2
apache2-mod_php7-debuginfo-7.0.7-37.2
php7-7.0.7-37.2
php7-bcmath-7.0.7-37.2
php7-bcmath-debuginfo-7.0.7-37.2
php7-bz2-7.0.7-37.2
php7-bz2-debuginfo-7.0.7-37.2
php7-calendar-7.0.7-37.2
php7-calendar-debuginfo-7.0.7-37.2
php7-ctype-7.0.7-37.2
php7-ctype-debuginfo-7.0.7-37.2
php7-curl-7.0.7-37.2
php7-curl-debuginfo-7.0.7-37.2
php7-dba-7.0.7-37.2
php7-dba-debuginfo-7.0.7-37.2
php7-debuginfo-7.0.7-37.2
php7-debugsource-7.0.7-37.2
php7-devel-7.0.7-37.2
php7-dom-7.0.7-37.2
php7-dom-debuginfo-7.0.7-37.2
php7-enchant-7.0.7-37.2
php7-enchant-debuginfo-7.0.7-37.2
php7-exif-7.0.7-37.2
php7-exif-debuginfo-7.0.7-37.2
php7-fastcgi-7.0.7-37.2
php7-fastcgi-debuginfo-7.0.7-37.2
php7-fileinfo-7.0.7-37.2
php7-fileinfo-debuginfo-7.0.7-37.2
php7-firebird-7.0.7-37.2
php7-firebird-debuginfo-7.0.7-37.2
php7-fpm-7.0.7-37.2
php7-fpm-debuginfo-7.0.7-37.2
php7-ftp-7.0.7-37.2
php7-ftp-debuginfo-7.0.7-37.2
php7-gd-7.0.7-37.2
php7-gd-debuginfo-7.0.7-37.2
php7-gettext-7.0.7-37.2
php7-gettext-debuginfo-7.0.7-37.2
php7-gmp-7.0.7-37.2
php7-gmp-debuginfo-7.0.7-37.2
php7-iconv-7.0.7-37.2
php7-iconv-debuginfo-7.0.7-37.2
php7-imap-7.0.7-37.2
php7-imap-debuginfo-7.0.7-37.2
php7-intl-7.0.7-37.2
php7-intl-debuginfo-7.0.7-37.2
php7-json-7.0.7-37.2
php7-json-debuginfo-7.0.7-37.2
php7-ldap-7.0.7-37.2
php7-ldap-debuginfo-7.0.7-37.2
php7-mbstring-7.0.7-37.2
php7-mbstring-debuginfo-7.0.7-37.2
php7-mcrypt-7.0.7-37.2
php7-mcrypt-debuginfo-7.0.7-37.2
php7-mysql-7.0.7-37.2
php7-mysql-debuginfo-7.0.7-37.2
php7-odbc-7.0.7-37.2
php7-odbc-debuginfo-7.0.7-37.2
php7-opcache-7.0.7-37.2
php7-opcache-debuginfo-7.0.7-37.2
php7-openssl-7.0.7-37.2
php7-openssl-debuginfo-7.0.7-37.2
php7-pcntl-7.0.7-37.2
php7-pcntl-debuginfo-7.0.7-37.2
php7-pdo-7.0.7-37.2
php7-pdo-debuginfo-7.0.7-37.2
php7-pgsql-7.0.7-37.2
php7-pgsql-debuginfo-7.0.7-37.2
php7-phar-7.0.7-37.2
php7-phar-debuginfo-7.0.7-37.2
php7-posix-7.0.7-37.2
php7-posix-debuginfo-7.0.7-37.2
php7-pspell-7.0.7-37.2
php7-pspell-debuginfo-7.0.7-37.2
php7-readline-7.0.7-37.2
php7-readline-debuginfo-7.0.7-37.2
php7-shmop-7.0.7-37.2
php7-shmop-debuginfo-7.0.7-37.2
php7-snmp-7.0.7-37.2
php7-snmp-debuginfo-7.0.7-37.2
php7-soap-7.0.7-37.2
php7-soap-debuginfo-7.0.7-37.2
php7-sockets-7.0.7-37.2
php7-sockets-debuginfo-7.0.7-37.2
php7-sqlite-7.0.7-37.2
php7-sqlite-debuginfo-7.0.7-37.2
php7-sysvmsg-7.0.7-37.2
php7-sysvmsg-debuginfo-7.0.7-37.2
php7-sysvsem-7.0.7-37.2
php7-sysvsem-debuginfo-7.0.7-37.2
php7-sysvshm-7.0.7-37.2
php7-sysvshm-debuginfo-7.0.7-37.2
php7-tidy-7.0.7-37.2
php7-tidy-debuginfo-7.0.7-37.2
php7-tokenizer-7.0.7-37.2
php7-tokenizer-debuginfo-7.0.7-37.2
php7-wddx-7.0.7-37.2
php7-wddx-debuginfo-7.0.7-37.2
php7-xmlreader-7.0.7-37.2
php7-xmlreader-debuginfo-7.0.7-37.2
php7-xmlrpc-7.0.7-37.2
php7-xmlrpc-debuginfo-7.0.7-37.2
php7-xmlwriter-7.0.7-37.2
php7-xmlwriter-debuginfo-7.0.7-37.2
php7-xsl-7.0.7-37.2
php7-xsl-debuginfo-7.0.7-37.2
php7-zip-7.0.7-37.2
php7-zip-debuginfo-7.0.7-37.2
php7-zlib-7.0.7-37.2
php7-zlib-debuginfo-7.0.7-37.2

- openSUSE Leap 42.3 (noarch):

php7-pear-7.0.7-37.2
php7-pear-Archive_Tar-7.0.7-37.2


References:

https://www.suse.com/security/cve/CVE-2018-10545.html
https://www.suse.com/security/cve/CVE-2018-10546.html
https://www.suse.com/security/cve/CVE-2018-10547.html
https://www.suse.com/security/cve/CVE-2018-10548.html
https://bugzilla.suse.com/1091355
https://bugzilla.suse.com/1091362
https://bugzilla.suse.com/1091363
https://bugzilla.suse.com/1091367

--



openSUSE-SU-2018:1212-1: important: Security update for Mozilla Firefox
openSUSE Security Update: Security update for Mozilla Firefox
______________________________________________________________________________

Announcement ID: openSUSE-SU-2018:1212-1
Rating: important
References: #1092548
Cross-References: CVE-2018-5150 CVE-2018-5154 CVE-2018-5155
CVE-2018-5157 CVE-2018-5158 CVE-2018-5159
CVE-2018-5168 CVE-2018-5178 CVE-2018-5183

Affected Products:
openSUSE Leap 42.3
______________________________________________________________________________

An update that fixes 9 vulnerabilities is now available.

Description:

This update for Mozilla Firefox to 52.8.0 ESR fixes the following issues:

Security issssue fixed: (bsc#1092548, MFSA 2018-12):

- CVE-2018-5183: Backport critical security fixes in Skia
- CVE-2018-5154: Use-after-free with SVG animations and clip paths
- CVE-2018-5155: Use-after-free with SVG animations and text paths
- CVE-2018-5157: Same-origin bypass of PDF Viewer to view protected PDF
files
- CVE-2018-5158: Malicious PDF can inject JavaScript into PDF Viewer
- CVE-2018-5159: Integer overflow and out-of-bounds write in Skia
- CVE-2018-5168: Lightweight themes can be installed without user
interaction
- CVE-2018-5178: Buffer overflow during UTF-8 to Unicode string conversion
through legacy extension
- CVE-2018-5150: Memory safety bugs fixed in Firefox 60 and Firefox ESR
52.8

The following non-security changes are included:

- Various stability and regression fixes
- Performance improvements to the Safe Browsing service to avoid slowdowns
while updating site classification data


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 42.3:

zypper in -t patch openSUSE-2018-452=1



Package List:

- openSUSE Leap 42.3 (x86_64):

MozillaFirefox-52.8.0-89.1
MozillaFirefox-branding-upstream-52.8.0-89.1
MozillaFirefox-buildsymbols-52.8.0-89.1
MozillaFirefox-debuginfo-52.8.0-89.1
MozillaFirefox-debugsource-52.8.0-89.1
MozillaFirefox-devel-52.8.0-89.1
MozillaFirefox-translations-common-52.8.0-89.1
MozillaFirefox-translations-other-52.8.0-89.1


References:

https://www.suse.com/security/cve/CVE-2018-5150.html
https://www.suse.com/security/cve/CVE-2018-5154.html
https://www.suse.com/security/cve/CVE-2018-5155.html
https://www.suse.com/security/cve/CVE-2018-5157.html
https://www.suse.com/security/cve/CVE-2018-5158.html
https://www.suse.com/security/cve/CVE-2018-5159.html
https://www.suse.com/security/cve/CVE-2018-5168.html
https://www.suse.com/security/cve/CVE-2018-5178.html
https://www.suse.com/security/cve/CVE-2018-5183.html
https://bugzilla.suse.com/1092548

--






Printed from Linux Compatible (https://www.linuxcompatible.org/news/story/php7_and_mozilla_firefox_updates_for_opensuse.html)